# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(libxml-2.0)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define major 0
%define libname libmt_client%{major}
%define devname libmt_client-devel

Summary: The Maitretarot client library
Name: libmt_client
Version: 0.1.98
Release: alt1_22
License: GPLv2+
Group: Games/Cards
Source: https://www.nongnu.org/download/maitretarot/devel.pkg/%{version}/%{name}-%{version}.tar.bz2
Patch0: libmt_client-0.1.98-str-fmt.patch
URL: https://www.nongnu.org/maitretarot/
BuildRequires: glib2-devel
BuildRequires: libmaitretarot-devel >= 0.1.98
Source44: import.info

%description
Maitretarot is a tarot server game. Libmt_client is a library
for the client.

%description -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmt_client
est une biblothque pour les logiciels client.

%package -n %libname
Summary: The Maitretarot client library
Group: System/Libraries
Provides: %name = %version-%release

%description -n %libname
Maitretarot is a tarot server game. Libmt_client is a library
for any client.

%description -n %libname -l fr
Maitretarot est le serveur pour un jeu de tarot. Libmt_client
est une biblothque pour les logiciels client.

%package -n %devname
Summary: Development files from Libmaitretarot
Group: System/Libraries
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}mt_client0-devel < 0.1.98-12

%description -n %devname
This package is need to build application which use Libmt_client.

%description -n %devname -l fr
Ce package est utilis pour compiler les applications qui utilise 
Libmt_client.

%prep
%setup -q
%patch0


%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %libname
%doc AUTHORS ChangeLog
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %devname
%{_libdir}/*.so
%{_includedir}/mt_client.h



%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.1.98-alt1_22
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.1.98-alt1_21
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.98-alt1_20
- update by mgaimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.98-alt1_19
- update by mgaimport

* Sat Jun 11 2016 Igor Vlasenko <viy@altlinux.ru> 0.1.98-alt1_18
- converted for ALT Linux by srpmconvert tools

